summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-10 21:31:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-10 21:31:09 +0700
commit72322f2030b623e61637739bcae58d3a6e67cad4 (patch)
treec3d208e7552fa95874d36606fc9149646a461b98 /gis
parentdf86b6768fedebc4972e576154c73b93e5d94703 (diff)
downloadslackbuilds-72322f2030b623e61637739bcae58d3a6e67cad4.tar.gz
slackbuilds-72322f2030b623e61637739bcae58d3a6e67cad4.tar.xz
gis/google-earth: Add 64 bit support.
Thanks to Lenard Spencer. Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/google-earth/README15
-rw-r--r--gis/google-earth/google-earth.SlackBuild21
-rw-r--r--gis/google-earth/google-earth.info4
3 files changed, 25 insertions, 15 deletions
diff --git a/gis/google-earth/README b/gis/google-earth/README
index 12e1c70601..b7a7b3143c 100644
--- a/gis/google-earth/README
+++ b/gis/google-earth/README
@@ -33,22 +33,17 @@ NOTES:
specification. You'll need to create the symlink manually after installing
the package:
- ln -sf /lib/ld-linux.so.2 /lib/ld-lsb.so.3
+ 32-bit: ln -sf /lib/ld-linux.so.2 /lib/ld-lsb.so.3
+ 64-bit: ln -sf /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3
-3) Google Earth tends to crash when the 65-fonts-persion.conf is available on
+3) Google Earth tends to crash when the 65-fonts-persion.conf is available on
the system. Please remove /etc/fonts/conf.d/65-fonts-persian.conf prior
launching this application. The easiest way to do this is:
mv /etc/fonts/conf.d/65-fonts-persian.conf \
/etc/fonts/conf.d/65-fonts-persian.conf.old
-4) GoogleEarth is a 32bit application only. You need to have the 32bit
- compatibility packages installed to have this work on a 64bit system.
- Otherwise you'll just see "no such file or directory" errors. I am aware
- that Google puts a 64bits debian package out, but this is a 32bits package
- with a 64bit wrapper for debian that installs multilib
-
-5) GoogleEarth now requires that you have OpenGL drivers installed on your
- system (and Xorg configured to use them). Not doing so will cause X
+4) GoogleEarth now requires that you have OpenGL drivers installed on your
+ system (and Xorg configured to use them). Not doing so will cause X
to crash.
diff --git a/gis/google-earth/google-earth.SlackBuild b/gis/google-earth/google-earth.SlackBuild
index d4bac1758a..6ba7015acf 100644
--- a/gis/google-earth/google-earth.SlackBuild
+++ b/gis/google-earth/google-earth.SlackBuild
@@ -24,29 +24,44 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 2013 - A lot of thanks to Willy Sudiarto Raharjo for his input and help
-# with converting the script to work with googles .deb packages.
+# with converting the script to work with google's .deb packages.
# Thanks to rworkman for the additional code and script cleanups
# and to Daniel de Kok and Alan_Hicks for their comments.
PRGNAM=google-earth
VERSION=${VERSION:-7.1.7.2600}
-ARCH=i386 # Since this is the arch google dictates
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ]; then
+ SRCARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="amd64"
+else
+ echo "This system is unsupported. Aborting."
+ exit 1
+fi
+
# No flags/configure needed as it is just a binary repackaging.
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
-ar p $CWD/google-earth-stable_current_i386.deb data.tar.xz | tar xJv
+ar p $CWD/google-earth-stable_current_$SRCARCH.deb data.tar.xz | tar xJv
cd $PKG
chown -R root:root .
# Fix Google braindeadness (and mine)
diff --git a/gis/google-earth/google-earth.info b/gis/google-earth/google-earth.info
index 4505897ced..eab9cede24 100644
--- a/gis/google-earth/google-earth.info
+++ b/gis/google-earth/google-earth.info
@@ -3,8 +3,8 @@ VERSION="7.1.7.2600"
HOMEPAGE="http://www.google.com/earth/index.html"
DOWNLOAD="http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb"
MD5SUM="cc02daa74d1b81daf44326a25460a88b"
-DOWNLOAD_x86_64="UNSUPPORTED"
-MD5SUM_x86_64=""
+DOWNLOAD_x86_64="http://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb"
+MD5SUM_x86_64="e6356f9bb99d9019ee0a156f9331beb8"
REQUIRES=""
MAINTAINER="Willy Sudiarto Raharjo"
EMAIL="willysr@slackbuilds.org"